EMSIZE(1)

NAME
emsize - emscripten replacement for size

DESCRIPTION
usage: emsize.py [-h] [-format FORMAT] file

Size helper script. This script acts as a frontend replacement for `size` that supports combining JS and wasm output from emscripten. The traditional size utility reports the size of each section in a binary and the total. This replacement adds another pseudo-section, "JS" which shows the size of the JavaScript loader file. Currently there are many limitations; basically this tool is enough to be used by the LLVM testsuite runner code to analyze size output. Currently this tool only supports sysv output format (it accepts but ignores any '-format' argument). It does not accept any other arguments aside from the input file, which is expected to be a JS file. The wasm file is expected to be in the same directory, and have the same basename with a '.wasm' extension.

  positional arguments:

    file

  options:

-h, --help
    show this help message and exit

-format, --format FORMAT